Loading...
Searching...
No Matches
Gudhi::persistence_matrix::Base_pairing< Master_matrix > Class Template Reference
Persistence Matrix

Class managing the barcode for Boundary_matrix if the option was enabled. More...

`#include <gudhi/Persistence_matrix/base_pairing.h>`

## Public Types

using | Bar = typename Master_matrix::Bar
using | Barcode = typename Master_matrix::Barcode
using | Column_container = typename Master_matrix::Column_container
using | Index = typename Master_matrix::Index
using | Dimension = typename Master_matrix::Dimension

## Public Member Functions

| Base_pairing ()
| Default constructor.
const Barcode & | get_current_barcode ()
| Reduces the matrix stored in Boundary_matrix and computes the corresponding barcode.

## Friends

void | swap (Base_pairing &pairing1, Base_pairing &pairing2)
| Swap operator.

## Detailed Description

template<class Master_matrix>
class Gudhi::persistence_matrix::Base_pairing< Master_matrix >

Class managing the barcode for Boundary_matrix if the option was enabled.

Template Parameters

  Master_matrix | An instantiation of Matrix from which all types and options are deduced.

## Member Typedef Documentation

## Bar

template<class Master_matrix>

using Gudhi::persistence_matrix::Base_pairing< Master_matrix >::Bar = typename Master_matrix::Bar

Bar type.

## Barcode

template<class Master_matrix>

using Gudhi::persistence_matrix::Base_pairing< Master_matrix >::Barcode = typename Master_matrix::Barcode

Barcode type.

## Column_container

template<class Master_matrix>

using Gudhi::persistence_matrix::Base_pairing< Master_matrix >::Column_container = typename Master_matrix::Column_container

Column container type.

## Dimension

template<class Master_matrix>

using Gudhi::persistence_matrix::Base_pairing< Master_matrix >::Dimension = typename Master_matrix::Dimension

Dimension value type.

## Index

template<class Master_matrix>

using Gudhi::persistence_matrix::Base_pairing< Master_matrix >::Index = typename Master_matrix::Index

Container index type.

## Member Function Documentation

## get_current_barcode()

template<class Master_matrix>

const Base_pairing< Master_matrix >::Barcode & Gudhi::persistence_matrix::Base_pairing< Master_matrix >::get_current_barcode | ( |  | ) |

inline

Reduces the matrix stored in Boundary_matrix and computes the corresponding barcode.

Warning
  The barcode will not be recomputed if the matrix is modified later after calling this method for the first time. So call it only once the matrix is finalized. This behaviour could be changed in the future, if the need is mentioned.

Returns
  Const reference to the barcode.

The documentation for this class was generated from the following file:

- include/gudhi/Persistence_matrix/base_pairing.h